<?php
	//-------------------------
	$StrFec=V($_POST['TxtFec']);
	$StrEmp=V($_POST['CboEmp']);
	$StrAlm=V($_POST['CboAlm']);
	//++
	if(strlen($StrEmp)==0)$StrEmp=GE("S");
	if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"S");	
	//++
	$StrTde=V($_POST['CboTde']);
	$StrTot=V($_POST['TxtTot']);
	$StrObs=V($_POST['TxtObs']);
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){$StrId="";
		}else{
			$StrCmd="AR";$LStrPag=V($_GET['Pag']);if(!is_numeric($LStrPag)){$LStrPag="";
		}}}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)	$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")	$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")	$LStrPag=0;
	if($StrCmd=="MUlt")	$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNum=$StrId;
		$StrEmp=gs("EMPC","vingresos","ID=$Id");	
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')","vingresos","ID=$Id");		
		$StrAlm=gs("ALM","vingresos","ID=$Id");		
		$StrTde=gs("TDI","vingresos","ID=$Id");		
		$StrTot=gn("TOT","vingresos","ID=$Id");		
		$StrObs=gs("OBS","vingresos","ID=$Id");		
		$LStrFoc="document.getElementById('TxtFec').focus();";		
		$StrGT="S";
	}
	if($StrCmd=="L"){
		$LIMPIAR=1;
	}
	if($StrCmd=="G" || $StrCmd=="M"){
		$StrEmp_=gn("id_emp","empresas","emp_nomc='$StrEmp'");
		$StrAlm_=gn("id_almacen","almacenes",
					"alm_obs='$StrAlm' AND alm_id_empresa=$StrEmp_");
		$StrTde_=gn("id_it","ingresos_tipos","nombre='$StrTde'");
		$StrFec_=ToDate($StrFec);
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(!USU_PER_GET_ES_CAJERO()){
			$LStrMsg="Valido solo para usuarios de cargo cajero";
			$LStrFoc="document.getElementById('CboEmp').focus();";		
			$StrGT="S";
		}
		//
		if(strlen($StrGT)==0){
			//
			$_ANU="N";
			$_ANU_FEC="1900-01-01";
			$_ANU_HOR="";
			$_ANU_TIM=0;
			$_ANU_USU=0;
			//
			$Id=GenId("id_ingreso","ingresos");
			$s="INSERT INTO ingresos VALUES ($Id,'$StrFec_',$StrAlm_,
				$StrTde_,$StrTot,'$StrObs',".GetIDU().",'$_ANU',
				'$_ANU_FEC','$_ANU_HOR',$_ANU_TIM,$_ANU_USU)";
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$Id;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="ingresos.php";
			$_BIT_ID=BIT_ADD("OTROS INGRESOS","OTROS INGRESOS","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtFec').focus();";
			$LIMPIAR=1;
			$StrGT="S";
		}
	}
	if($StrCmd=="M"){
		if(!USU_PER_GET_ES_CAJERO()){
			$LStrMsg="Valido solo para usuarios de cargo cajero";
			$LStrFoc="document.getElementById('CboEmp').focus();";		
			$StrGT="S";
		}
		//
		if(strlen($StrGT)==0){
			$s="UPDATE ingresos 
				SET fec='$StrFec_',
				id_alm=$StrAlm_,id_it=$StrTde_,
				tot=$StrTot,obs='$StrObs',usu=".GetIDU()."  
				WHERE id_ingreso=$StrId";	
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="ingresos.php";
			$_BIT_ID=BIT_ADD("OTROS INGRESOS","OTROS INGRESOS","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtFec').focus();";
			$LIMPIAR=1;
			$StrGT="S";
		}
	}
	//
	if($StrCmd=="A"){
		if(!USU_PER_GET_ES_CAJERO()){
			$LStrMsg="Valido solo para usuarios de cargo cajero";
			$LStrFoc="document.getElementById('CboEmp').focus();";		
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$_ANU=gs("anu","ingresos","id_ingreso=$StrId");
			if($_ANU=="S"){
				$LStrMsg="El registro ya se encuentra anulado, no se puede volver a anular";
				$LStrFoc="document.getElementById('CboEmp').focus();";		
				$StrGT="S";
			}
		}
		//
		if(strlen($StrGT)==0){
			//
			$_ANU="S";
			$_ANU_FEC=date("Y-m-d");
			$_ANU_HOR=GetHoraAP();
			$_ANU_TIM=time();
			$_ANU_USU=GetIDU();
			//
			$s="UPDATE ingresos 
				SET anu='$_ANU',
					anu_fec='$_ANU_FEC',
					anu_hor='$_ANU_HOR',
					anu_tim=$_ANU_TIM,
					anu_usu=$_ANU_USU
					WHERE id_ingreso=$StrId";	
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="ingresos.php";
			$_BIT_ID=BIT_ADD("OTROS INGRESOS","OTROS INGRESOS","ANULAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			$LStrMsg="Registro anulado";
			$LStrFoc="document.getElementById('TxtFec').focus();";
			$LIMPIAR=1;
			$StrGT="S";
		}		
	}
	//
	if($LIMPIAR==1){
		$StrId="";
		$StrNum="";
		$StrFec="";
		$StrTot="";
		$StrObs="";
	}
	//
	
	//
	if($StrCmd=="E"){		
		if(!USU_PER_GET_ES_CAJERO()){
			$LStrMsg="Valido solo para usuarios de cargo cajero";
			$LStrFoc="document.getElementById('TxtFec').focus();";		
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			if($POL_USU_PER_ELI==0){
				$LStrMsg="El usuario no tiene los permisos para esta accion";
				$LStrFoc="document.getElementById('TxtFec').focus();";		
				$StrGT="S";
			}
		}		
		if(strlen($StrGT)==0){
			$_ANU=gs("anu","ingresos","id_ingreso=$StrId");
			if($_ANU=="S"){
				$LStrMsg="El registro ya se encuentra anulado, no se puede eliminar";
				$LStrFoc="document.getElementById('TxtFec').focus();";		
				$StrGT="S";
			}
		}
		//
		if(strlen($StrGT)==0){
			$s="DELETE FROM ingresos WHERE id_ingreso=$StrId";	
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="ingresos.php";
			$_BIT_ID=BIT_ADD("OTROS INGRESOS","OTROS INGRESOS","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT++
			$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtFec').focus();";
			$StrId="";
			$StrFec="";
			$StrTot="";
			$StrObs="";
			$StrGT="S";
		}		
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtFec').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>